Jack2: Jack::JackNetMasterInterface Class Reference

Jack2 1.9.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Jack::JackNetMasterInterface Class Reference

`#include <JackNetInterface.h>`

Inheritance diagram for Jack::JackNetMasterInterface:

## Public Member Functions
| JackNetMasterInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)
Public Member Functions inherited from Jack::JackNetInterface
| JackNetInterface (const char *multicast_ip, int port)
| JackNetInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)

## Protected Member Functions
bool | Init ()
bool | SetParams ()
void | Exit ()
int | SyncRecv ()
int | SyncSend ()
int | DataRecv ()
int | DataSend ()
void | EncodeSyncPacket (int frames=-1)
void | DecodeSyncPacket (int &frames)
int | Send (size_t size, int flags)
int | Recv (size_t size, int flags)
void | FatalRecvError ()
void | FatalSendError ()
Protected Member Functions inherited from Jack::JackNetInterface
void | Initialize ()
int | SetNetBufferSize ()
void | FreeNetworkBuffers ()
virtual void | EncodeTransportData ()=0
virtual void | DecodeTransportData ()=0
int | MidiSend (NetMidiBuffer *buffer, int midi_channnels, int audio_channels)
int | AudioSend (NetAudioBuffer *buffer, int audio_channels)
int | MidiRecv (packet_header_t *rx_head, NetMidiBuffer *buffer, uint &recvd_midi_pckt)
int | AudioRecv (packet_header_t *rx_head, NetAudioBuffer *buffer)
int | FinishRecv (NetAudioBuffer *buffer)
void | SetRcvTimeOut ()
void | SetPacketTimeOut (int time_out)
NetAudioBuffer * | AudioBufferFactory (int nports, char *buffer)

## Protected Attributes
bool | fRunning
int | fCurrentCycleOffset
int | fMaxCycleOffset
bool | fSynched
Protected Attributes inherited from Jack::JackNetInterface
bool | fSetTimeOut
int | fPacketTimeOut
session_params_t | fParams
JackNetSocket | fSocket
char | fMulticastIP [32]
packet_header_t | fTxHeader
packet_header_t | fRxHeader
net_transport_data_t | fSendTransportData
net_transport_data_t | fReturnTransportData
char * | fTxBuffer
char * | fRxBuffer
char * | fTxData
char * | fRxData
NetMidiBuffer * | fNetMidiCaptureBuffer
NetMidiBuffer * | fNetMidiPlaybackBuffer
NetAudioBuffer * | fNetAudioCaptureBuffer
NetAudioBuffer * | fNetAudioPlaybackBuffer

## Detailed Description

This class describes the Net Interface for masters (NetMaster)

Definition at line 143 of file JackNetInterface.h.

The documentation for this class was generated from the following files:

- JackNetInterface.h
- JackNetInterface.cpp